/*----- blog sidebar start -------*/
.blog-sidebar-wrapper {
    .blog-sidebar {
        &:last-child {
            margin-bottom: 0;
        }
    }
}
.blog-sidebar {
    padding: 15px;
    margin-bottom: 30px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
    // sidebar title
    .title {
        color: $black-soft;
        font-size: 20px;
        font-weight: 700;
        line-height: 22px;
        padding-top: 10px;
        margin-bottom: 15px;
        position: relative;
        text-transform: uppercase;
        // Responsive
        @media #{$extra-small-mobile} {
            font-size: 16px;
        }
        &:before {
            width: 100%;
            height: 1px;
            bottom: -5px;
            left: 0;
            background-color: #e5e5e5;
            content: "";
            position: absolute;
        }
    }

    // sidebar search form
    .search-field {
        width: calc(100% - 50px);
        border: 1px solid #ccc;
        padding: 0 10px;
        color: $paragraph;
        font-size: 14px;
        height: 50px;
        float: left;
        text-transform: capitalize;
    }
    .search-btn {
        width: 50px;
        height: 50px;
        margin-left: -4px;
        text-align: center;
        cursor: pointer;
        background-color: #f8f8f8;
        border: 1px solid #ccc;
        @include transition;
        i {
            font-size: 20px;
            line-height: 50px;
            color: $black-soft;
            @include transition;
        }
        &:hover {
            background-color: $theme-color;
            border-color: $theme-color;
            i {
                color: $white;
            }
        }
    }

    // archives
    .blog-archive {
        li {
            a {
                color: $black-soft;
                font-size: 15px;
                text-transform: capitalize;
                padding: 8px 0;
                display: inline-block;
                &:hover {
                    color: $theme-color;
                }
            }
        }
    }

    // blog tags
    .blog-tags {
        li {
            display: inline-block;
            margin-bottom: 5px; 
            a {
                color: $black-soft;
                font-size: 13px;
                border: 1px solid #ccc;
                padding: 8px 15px 4px;
                display: inline-block;
                text-transform: uppercase;
                &:hover {
                    color: $white;
                    background-color: $theme-color;
                    border-color: $theme-color;
                }
            }
        }
    }
}
/*----- blog sidebar end -------*/